Commits

Anonymous committed 94b26bd Draft

fix: install .ini to /etc, find version from file.

  • Participants
  • Parent commits 90971c6

Comments (0)

Files changed (1)

 version = '1.00'
 with file('dumbo/dumbo') as f:
     for line in f:
-        if line.startswith('__version__'):
+        if line.startswith('    __version__'):
             try:
                 version = line.split()[2].replace("'", '')
-            except IndexError:
-                pass
+            except IndexError:  pass
             break
 with file('readme.rst') as f:
     long_description = f.read()
     packages      = ['dumbo'],
     requires      = ['urwid(>=1.0)', 'psycopg2'],
     scripts       = ['dumbo/dumbo'],
+    data_files    = [('/etc', ['dumbo.ini'])],
     #~ package_data  = {name: ['']},
 
     long_description = long_description,